// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: trip.driver.proto

package proto

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SetDriverAvailabilityRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Online bool `protobuf:"varint,1,opt,name=online,proto3" json:"online,omitempty"`
}

func (x *SetDriverAvailabilityRequest) Reset() {
	*x = SetDriverAvailabilityRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_trip_driver_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetDriverAvailabilityRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetDriverAvailabilityRequest) ProtoMessage() {}

func (x *SetDriverAvailabilityRequest) ProtoReflect() protoreflect.Message {
	mi := &file_trip_driver_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetDriverAvailabilityRequest.ProtoReflect.Descriptor instead.
func (*SetDriverAvailabilityRequest) Descriptor() ([]byte, []int) {
	return file_trip_driver_proto_rawDescGZIP(), []int{0}
}

func (x *SetDriverAvailabilityRequest) GetOnline() bool {
	if x != nil {
		return x.Online
	}
	return false
}

type SetDriverAvailabilityResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *SetDriverAvailabilityResponse) Reset() {
	*x = SetDriverAvailabilityResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_trip_driver_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetDriverAvailabilityResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetDriverAvailabilityResponse) ProtoMessage() {}

func (x *SetDriverAvailabilityResponse) ProtoReflect() protoreflect.Message {
	mi := &file_trip_driver_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetDriverAvailabilityResponse.ProtoReflect.Descriptor instead.
func (*SetDriverAvailabilityResponse) Descriptor() ([]byte, []int) {
	return file_trip_driver_proto_rawDescGZIP(), []int{1}
}

func (x *SetDriverAvailabilityResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type SetLocationRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Location *Location `protobuf:"bytes,1,opt,name=location,proto3" json:"location,omitempty"`
}

func (x *SetLocationRequest) Reset() {
	*x = SetLocationRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_trip_driver_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetLocationRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetLocationRequest) ProtoMessage() {}

func (x *SetLocationRequest) ProtoReflect() protoreflect.Message {
	mi := &file_trip_driver_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetLocationRequest.ProtoReflect.Descriptor instead.
func (*SetLocationRequest) Descriptor() ([]byte, []int) {
	return file_trip_driver_proto_rawDescGZIP(), []int{2}
}

func (x *SetLocationRequest) GetLocation() *Location {
	if x != nil {
		return x.Location
	}
	return nil
}

type SetLocationResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *SetLocationResponse) Reset() {
	*x = SetLocationResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_trip_driver_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetLocationResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetLocationResponse) ProtoMessage() {}

func (x *SetLocationResponse) ProtoReflect() protoreflect.Message {
	mi := &file_trip_driver_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetLocationResponse.ProtoReflect.Descriptor instead.
func (*SetLocationResponse) Descriptor() ([]byte, []int) {
	return file_trip_driver_proto_rawDescGZIP(), []int{3}
}

func (x *SetLocationResponse) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

var File_trip_driver_proto protoreflect.FileDescriptor

var file_trip_driver_proto_rawDesc = []byte{
	0x0a, 0x11, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x64, 0x72, 0x69, 0x76, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x16, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x1a, 0x0a, 0x74, 0x72, 0x69,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x36, 0x0a, 0x1c, 0x53, 0x65, 0x74, 0x44, 0x72,
	0x69, 0x76, 0x65, 0x72, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x6f, 0x6e, 0x6c, 0x69, 0x6e,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x6f, 0x6e, 0x6c, 0x69, 0x6e, 0x65, 0x22,
	0x39, 0x0a, 0x1d, 0x53, 0x65, 0x74, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x41, 0x76, 0x61, 0x69,
	0x6c, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x52, 0x0a, 0x12, 0x53, 0x65,
	0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x3c, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x4c, 0x6f, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x2f,
	0x0a, 0x13, 0x53, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x32,
	0x89, 0x03, 0x0a, 0x11, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x54, 0x72, 0x69, 0x70, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x86, 0x01, 0x0a, 0x15, 0x53, 0x65, 0x74, 0x44, 0x72, 0x69,
	0x76, 0x65, 0x72, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x12,
	0x34, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75,
	0x74, 0x65, 0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x53, 0x65, 0x74, 0x44, 0x72, 0x69, 0x76,
	0x65, 0x72, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x35, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e,
	0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x53,
	0x65, 0x74, 0x44, 0x72, 0x69, 0x76, 0x65, 0x72, 0x41, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x68,
	0x0a, 0x0b, 0x53, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2a, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65,
	0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x53, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x74, 0x72,
	0x69, 0x70, 0x2e, 0x53, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x80, 0x01, 0x0a, 0x13, 0x41, 0x75, 0x74,
	0x6f, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73,
	0x12, 0x32, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x72, 0x6f,
	0x75, 0x74, 0x65, 0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x41, 0x75, 0x74, 0x6f, 0x43, 0x6f,
	0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x33, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x63, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x72, 0x6f, 0x75, 0x74, 0x65, 0x73, 0x2e, 0x74, 0x72, 0x69, 0x70, 0x2e, 0x41, 0x75,
	0x74, 0x6f, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x07, 0x5a, 0x05, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_trip_driver_proto_rawDescOnce sync.Once
	file_trip_driver_proto_rawDescData = file_trip_driver_proto_rawDesc
)

func file_trip_driver_proto_rawDescGZIP() []byte {
	file_trip_driver_proto_rawDescOnce.Do(func() {
		file_trip_driver_proto_rawDescData = protoimpl.X.CompressGZIP(file_trip_driver_proto_rawDescData)
	})
	return file_trip_driver_proto_rawDescData
}

var file_trip_driver_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_trip_driver_proto_goTypes = []interface{}{
	(*SetDriverAvailabilityRequest)(nil),  // 0: com.connectroutes.trip.SetDriverAvailabilityRequest
	(*SetDriverAvailabilityResponse)(nil), // 1: com.connectroutes.trip.SetDriverAvailabilityResponse
	(*SetLocationRequest)(nil),            // 2: com.connectroutes.trip.SetLocationRequest
	(*SetLocationResponse)(nil),           // 3: com.connectroutes.trip.SetLocationResponse
	(*Location)(nil),                      // 4: com.connectroutes.trip.Location
	(*AutoCompleteAddressRequest)(nil),    // 5: com.connectroutes.trip.AutoCompleteAddressRequest
	(*AutoCompleteAddressResponse)(nil),   // 6: com.connectroutes.trip.AutoCompleteAddressResponse
}
var file_trip_driver_proto_depIdxs = []int32{
	4, // 0: com.connectroutes.trip.SetLocationRequest.location:type_name -> com.connectroutes.trip.Location
	0, // 1: com.connectroutes.trip.DriverTripService.SetDriverAvailability:input_type -> com.connectroutes.trip.SetDriverAvailabilityRequest
	2, // 2: com.connectroutes.trip.DriverTripService.SetLocation:input_type -> com.connectroutes.trip.SetLocationRequest
	5, // 3: com.connectroutes.trip.DriverTripService.AutoCompleteAddress:input_type -> com.connectroutes.trip.AutoCompleteAddressRequest
	1, // 4: com.connectroutes.trip.DriverTripService.SetDriverAvailability:output_type -> com.connectroutes.trip.SetDriverAvailabilityResponse
	3, // 5: com.connectroutes.trip.DriverTripService.SetLocation:output_type -> com.connectroutes.trip.SetLocationResponse
	6, // 6: com.connectroutes.trip.DriverTripService.AutoCompleteAddress:output_type -> com.connectroutes.trip.AutoCompleteAddressResponse
	4, // [4:7] is the sub-list for method output_type
	1, // [1:4] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_trip_driver_proto_init() }
func file_trip_driver_proto_init() {
	if File_trip_driver_proto != nil {
		return
	}
	file_trip_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_trip_driver_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetDriverAvailabilityRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_trip_driver_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetDriverAvailabilityResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_trip_driver_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetLocationRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_trip_driver_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetLocationResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_trip_driver_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_trip_driver_proto_goTypes,
		DependencyIndexes: file_trip_driver_proto_depIdxs,
		MessageInfos:      file_trip_driver_proto_msgTypes,
	}.Build()
	File_trip_driver_proto = out.File
	file_trip_driver_proto_rawDesc = nil
	file_trip_driver_proto_goTypes = nil
	file_trip_driver_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// DriverTripServiceClient is the client API for DriverTripService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type DriverTripServiceClient interface {
	SetDriverAvailability(ctx context.Context, in *SetDriverAvailabilityRequest, opts ...grpc.CallOption) (*SetDriverAvailabilityResponse, error)
	SetLocation(ctx context.Context, in *SetLocationRequest, opts ...grpc.CallOption) (*SetLocationResponse, error)
	AutoCompleteAddress(ctx context.Context, in *AutoCompleteAddressRequest, opts ...grpc.CallOption) (*AutoCompleteAddressResponse, error)
}

type driverTripServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewDriverTripServiceClient(cc grpc.ClientConnInterface) DriverTripServiceClient {
	return &driverTripServiceClient{cc}
}

func (c *driverTripServiceClient) SetDriverAvailability(ctx context.Context, in *SetDriverAvailabilityRequest, opts ...grpc.CallOption) (*SetDriverAvailabilityResponse, error) {
	out := new(SetDriverAvailabilityResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.trip.DriverTripService/SetDriverAvailability", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *driverTripServiceClient) SetLocation(ctx context.Context, in *SetLocationRequest, opts ...grpc.CallOption) (*SetLocationResponse, error) {
	out := new(SetLocationResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.trip.DriverTripService/SetLocation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *driverTripServiceClient) AutoCompleteAddress(ctx context.Context, in *AutoCompleteAddressRequest, opts ...grpc.CallOption) (*AutoCompleteAddressResponse, error) {
	out := new(AutoCompleteAddressResponse)
	err := c.cc.Invoke(ctx, "/com.connectroutes.trip.DriverTripService/AutoCompleteAddress", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// DriverTripServiceServer is the server API for DriverTripService service.
type DriverTripServiceServer interface {
	SetDriverAvailability(context.Context, *SetDriverAvailabilityRequest) (*SetDriverAvailabilityResponse, error)
	SetLocation(context.Context, *SetLocationRequest) (*SetLocationResponse, error)
	AutoCompleteAddress(context.Context, *AutoCompleteAddressRequest) (*AutoCompleteAddressResponse, error)
}

// UnimplementedDriverTripServiceServer can be embedded to have forward compatible implementations.
type UnimplementedDriverTripServiceServer struct {
}

func (*UnimplementedDriverTripServiceServer) SetDriverAvailability(context.Context, *SetDriverAvailabilityRequest) (*SetDriverAvailabilityResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetDriverAvailability not implemented")
}
func (*UnimplementedDriverTripServiceServer) SetLocation(context.Context, *SetLocationRequest) (*SetLocationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetLocation not implemented")
}
func (*UnimplementedDriverTripServiceServer) AutoCompleteAddress(context.Context, *AutoCompleteAddressRequest) (*AutoCompleteAddressResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AutoCompleteAddress not implemented")
}

func RegisterDriverTripServiceServer(s *grpc.Server, srv DriverTripServiceServer) {
	s.RegisterService(&_DriverTripService_serviceDesc, srv)
}

func _DriverTripService_SetDriverAvailability_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetDriverAvailabilityRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DriverTripServiceServer).SetDriverAvailability(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.trip.DriverTripService/SetDriverAvailability",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DriverTripServiceServer).SetDriverAvailability(ctx, req.(*SetDriverAvailabilityRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DriverTripService_SetLocation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetLocationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DriverTripServiceServer).SetLocation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.trip.DriverTripService/SetLocation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DriverTripServiceServer).SetLocation(ctx, req.(*SetLocationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _DriverTripService_AutoCompleteAddress_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AutoCompleteAddressRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(DriverTripServiceServer).AutoCompleteAddress(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/com.connectroutes.trip.DriverTripService/AutoCompleteAddress",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(DriverTripServiceServer).AutoCompleteAddress(ctx, req.(*AutoCompleteAddressRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _DriverTripService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "com.connectroutes.trip.DriverTripService",
	HandlerType: (*DriverTripServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SetDriverAvailability",
			Handler:    _DriverTripService_SetDriverAvailability_Handler,
		},
		{
			MethodName: "SetLocation",
			Handler:    _DriverTripService_SetLocation_Handler,
		},
		{
			MethodName: "AutoCompleteAddress",
			Handler:    _DriverTripService_AutoCompleteAddress_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "trip.driver.proto",
}
